enum _: iType
{
	Level = 0,
	Exp
};

/**
 * Регистрация предмета в меню
 *
 * @szItemName - Название предмета в меню
 * @iItemCost - Цена предмета в меню
 *
 * Использование:
 * BM_Register_Item("WaterGun", 10);
 **/
native BM_Register_Item( const szItemName[ ], iItemCost );

/**
 * Получить значение уровня/опыта игрока (число)
 *
 * @iPlayer - наш игрок (у кого получаем)
 * @iType - то, что мы получаем (Level - уровень; Exp - опыт)
 *
 * Использование: 
 * BM_GetUserData( iPlayer, Exp );
 **/
native BM_GetUserData( iPlayer, iType );

/**
 * Устанавливаем значения уровня/опыта игроку
 *
 * @iPlayer - наш игрок (кому будем устанавливать)
 * @iType - то, что мы будем устанавливать (Level - уровень; Exp - опыт)
 * @iAmount - то, сколько мы установим какое то значение
 *
 * Использование:
 * BM_SetUserData( iPlayer, Level, 10 );
 **/
native BM_SetUserData( iPlayer, iType, iAmount );

/**
 * Получаем необходимый опыт, чтобы получить новый уровень (число)
 *
 * @iPlayer - наш игрок (у кого получаем)
 *
 * Использование: 
 * BM_GetUserExpForNextLevel( iPlayer );
 **/
native BM_GetUserExpForNextLevel( iPlayer );

/**
 * Выдаём опыт игроку
 *
 * @iPlayer - наш игрок (кому будет давать опыт)
 * @iAmount - сколько мы дадим опыта
 *
 * Использование:
 * BM_GiveUserExp( iPlayer, 200 );
 */
native BM_GiveUserExp( iPlayer, iAmount );

/**
 * Проверяем, игрок получил N кол-во опыта, чтобы достигнуть нового уровня
 *
 * @iPlayer - наш игрок (у кого будем проверять)
 *
 * Использование:
 * BM_CheckUserNextLevel( iPlayer );
 **/
native BM_CheckUserNextLevel( iPlayer );

/**
 * Форвард покупки нашего предмета
 *
 * @iPlayer - наш игрок (который купил предмет)
 * @iItemID - индекс предмета, который купил игрок
 *
 * Использование:
 * public BM_Item_Selected( iPlayer, iItemID )
 **/
forward BM_Item_Selected( iPlayer, iItemID );

/**
 * Возврат функции из Бай Меню
 * При использовании, предмет не будет куплен и деньги за него не заберёт
 *
 * Использование: 
 * return BM_PLUGIN_HANDLED;
 **/
#define BM_PLUGIN_HANDLED 98

native GetUserMoney( iPlayer )
native SetUserMoney( iPlayer, iAmount )

